package com.pesets.game.items;

import java.io.DataOutputStream;
import java.io.IOException;

import com.badlogic.gdx.graphics.Color;

public interface Item {
	
	public int getWeight();
	public int getCost();
	public int getStackCount();
	public int getCount();
	public void setCount(int newCount);
	public int getId();
	public String getItemName();
	public String getItemDesc();
	public int getItemIcon();
	public Color getNameColor();
	public void toStream(DataOutputStream out) throws IOException;
}
